function y=lune0(teta);

% *******************************************************************************

% Fonction cre spcialement pour la rsolution du voyage terre-Lune, coplanaire.
%
% La recherche du zro de cette fonction donne l'angle polaire teta, de la rencontre 
% sur l'orbite de la capsule dfinie par (rp,vp).
%
% Ce cas correspond  un contact extrme tangentiel entre la capsule et la sonde.
%                           Premier contact possible.

% *******************************************************************************

% -----------------------------------------------------

  data;             % PROGRAMME de donnes
  
  load vp;          % RECHERCHE EN MEMOIRE DE vp STOCKEE INITIALEMENT

  z=orbitc1(vp);    % PROGRAMME des caractristiques de l'orbite C1
 
  e=z(2);
  p=z(3);

  r=p./(1+e*cos(teta));
  gamma=asin(e*sin(teta)./(1+e*e+2*e*cos(teta)).^0.5);

% ------------------- fonction  annuler  ---------------

  y=rspher^2+r.^2+2*rspher.*r.*cos(gamma)-D^2;

end

% --------------------------------------------------------
%  Il faut utiliser    fzero('lune0',3)