function y=plageav(vp);    % sortie vecteur  2 composantes

% Cette fonction calcule pour une vitese vp donne, les valeurs extrmes de la
% position angulaire de la lune par rapport  l'axe focal du tir 
% ( voir texte du projet)  \MECASPA\PROJETS\LUNE\LUNE_ORB.HTM

% -----------------------------------------------------------------------------
% -----------------  RECHERCHE DE LA PLAGE DES POSITIONS LUNE -----------------
% -----------------------------------------------------------------------------

   data;                  % PROGRAMME de donnes gnrales
   save vp;load vp;       % MISE ET RECHERCHE EN MEMOIRE DE vp STOCKEE AU DEPART
   z=orbitc1(vp);         % EXECUTION FONCTION caractristiques orbite c1

   a=z(1);e=z(2);p=z(3);T=z(4);apog=z(5);

   result=lune1;    % Pour rcuprer la position initiale polaire moyenne de la lune
   psi_avant=[];    % INITIALISATION DE LA PLAGE VALEUR


%       La rencontre ne peut avoir lieu qu'entre ces deux limites
% ------------ Limites basse et haute en rayon vecteur ------
  

  Rmin=317000;  %  384000-660000-1000  contact arrire impossible
  Rmax=min(451000,apog);  %  451000=384000+66000+1000   contact avant impossible
  
  rencontre=0;psi_min=0;psi_max_=0;
  possibl=0;  % Initialisation de la valeur qui sera 0 ou 1

  dpsi=0.004; n=100;

  psi_min=result(2)-n*dpsi;  % initialisation
  psi_max=result(2)+n*dpsi;  % Initialisation

 
for k=-n:n,

 possibl=0;  % Initialisation de la valeur qui sera 0 ou 1

% ---------Coordonnes sonde --------

  survol_avant=0;  % Initialisation
  r=Rmin;i=0;  % Initialisation de la boucle while
 
  while ((r-Rmin+1)*(Rmax+1-r)>0)&(possibl<1),  % Balayage tant que la sonde est en dehors
   
 % -0------------ Position  capsule -----
    teta=acos((p/r-1)/e);
    xs=r.*cos(teta-pi/2);
    ys=r.*sin(teta-pi/2);

    % --------- Calcul du temps  -----------

    fi=acos((e+cos(teta))./(1+e.*cos(teta)));
    temps=T/2/pi*(fi-e*sin(fi));
    
   
    % ---------  Coordonnes Lune ----------   
    
      
    psi=result(2)+wl*temps+k*dpsi;
    xl=D*cos(psi-pi/2);
    yl=D*sin(psi-pi/2);  
  
    % ------  Distance Sonde-Lune -------
    
    dist=((abs(xs-xl)).^2+(abs(ys-yl)).^2).^0.5;   
    if dist<=66000,                                % La sonde vient juste de rentrer
         possibl=1;

    % ------  Vitesse relative, vitesse capsule et Lune ---------------
   
         coeff=(mut*a/r/r)^0.5;
         vs(1)=-coeff*sin(fi);
         vs(2)=coeff*(1-e*e)^0.5*cos(fi);

         VL=(mut/D)^0.5;
         vl(1)=-VL*sin(psi-pi/2);
         vl(2)=VL*cos(psi-pi/2);
    
         vinf1=vs-vl;
         rayon(1)=xs-xl;
         rayon(2)=ys-yl;
    
         test=(-rayon(1)*vinf1(2)+rayon(2)*vinf1(1))&(vinf1*rayon'<0);  % Test de survol avant
         if test>0,
            survol_avant=1;
         end 
         
         break;
    end  
   
   i=i+1;r=Rmin+i*1000;

  end  % Fin de boucle while

 %  possibl=1 ==== rencontre possible
 %  possibl=0 ==== rencontre impossible  
  
 
  if (possibl==1)&(survol_avant==1),
     psi_possible=result(2)+k*dpsi;
     psi_avant=[psi_avant,psi_possible]; % Stockage valeur psi
  end

  
  end

end % Fin de boucle sur k

% SORTIE RESULTAT 
   
   y=[min(psi_avant) max(psi_avant)];

 
   
   
end